body {
    background-color: ivory;
}

td {
    text-align: center;
    white-space: nowrap; /* Prevent text wrapping */
}

/* the following iphone section overrides the defaults used by Safari on an Iphone */
button {
    all: unset; /* Reset all default styles applied by the browser */
    font-family: "Times New Roman", serif; /* Set the font family */
    font-size: 16px; /* Default font size */
    font-weight: 400; /* Normal font weight */
    line-height: normal; /* Default line height */
    color: initial; /* Reset color to inherit from the parent element */
    border: none; /* Remove borders */
    background-color: #f0f0f0; /* light grey*/
    padding: 10px 20px;       /* Padding for size */
    border-radius: 5px;       /* Rounded corners */
    cursor: pointer;          /* Pointer cursor on hover */
}

button:hover {
    background-color: #0056b3; /* Darker blue on hover */
}
/* end of iphone section */

.thinColumn {
    width: 3%;
    text-align: center;
}

.narrowColumn {
    width: 5%;
    text-align: center;
}

.middleColumn{
    width: 10%;
    text-align: center;
}

.wideColumn {
    width: 20%;
}

.popup {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.4);
}
.popup-content {
    background-color: #fefefe;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-width: 400px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
.closeBtn {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}
.closeBtn:hover,
.closeBtn:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}
.wide-input {
    font-size: 28px;
    width: 90%; /* You can set any desired width */
    margin: 0 auto; /* Center the form horizontally */
    padding: 10px;
    border: 1px solid #ccc;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}
.buttonDiv {
    display: flex;
    justify-content: space-between; /* Distribute space between items */
    align-items: center; /* Align items vertically centered */
    width: 100%; /* Width of the container */
    padding: 20px; /* Padding for some spacing around buttons */
    box-sizing: border-box; /* Include padding in the element's total width and height */
    font-size: 20px;
}
.left-btnMain,
.left-btn {
    align-self: flex-start; /* Align to the start of the container (left) */
    border: 2px solid black;
    padding: 5px;
    background-color: #f0f0f0; /* light grey*/
}
.left-btn:hover,
.left-btn:focus {
    color: red;
    text-decoration: none;
    cursor: pointer;
    background-color: #aaa;  /* medium grey*/
}
.center-btn {
    align-self: center; /* Align to the center of the container */
    border: 2px solid black;
    padding: 5px;
    background-color: #f0f0f0;
}
.left-btnMain:hover,
.left-btnMain:focus,
.right-btn:hover,
.right-btn:focus,
.right-btn:hover,
.center-btn:hover,
.center-btn:focus {
    color: green;
    text-decoration: none;
    cursor: pointer;
    background-color: #aaa;
}
.right-btn {
    align-self: flex-end; /* Align to the end of the container (right) */
    border: 2px solid black;
    padding: 5px;
    font-size: 20px;
}
@media (max-width: 1080px) {
    .right-btn,
    .center-btn,
    .left-btnMain,
    .left-btn {
        font-size: 36px;
    }
}